%bcond_with jp_minimal
%global oname mustache.java

Name:                mustache-java
Version:             0.9.6
Release:             1
Summary:             Implementation of mustache.js for Java
License:             ASL 2.0
URL:                 https://github.com/spullara/mustache.java/
Source0:             https://github.com/spullara/mustache.java/archive/%{oname}-%{version}.tar.gz

BuildRequires:       maven-local mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires:       mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:       mvn(com.google.guava:guava:20.0) mvn(junit:junit)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.codehaus.plexus:plexus-compiler-api)
%if %{without jp_minimal}
BuildRequires:       mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-yaml)
BuildRequires:       mvn(com.github.spullara.cli-parser:cli-parser)
BuildRequires:       mvn(org.eclipse.jetty:jetty-server)
%endif
BuildArch:           noarch
Obsoletes:           %{name}-benchmarks < %{version}-%{release}

%description
Implementation of the Mustache language in Java.
Mustache.java is a derivative of mustache.js.

%package maven-plugin
Summary:             Mustache Maven Mojo
%description maven-plugin
A maven plugin to process mustache templates in a maven build.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{oname}-%{oname}-%{version}
%pom_disable_module scala-extensions
%pom_disable_module benchmarks
%pom_remove_plugin :maven-assembly-plugin handlebar
%pom_remove_plugin :maven-assembly-plugin compiler
%if %{with jp_minimal}
%pom_remove_dep "org.eclipse.jetty:" handlebar
%pom_remove_dep "com.github.spullara.cli-parser:" handlebar
rm handlebar/src/main/java/com/sampullara/mustache/Handlebar.java
%pom_remove_dep ":jackson-dataformat-yaml" compiler
rm compiler/src/test/java/com/github/mustachejava/{SpecTest.java,simple/SimpleSpecTest.java}
%else
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin handlebar "
<configuration>
  <archive>
    <manifest>
      <addClasspath>false</addClasspath>
      <mainClass>com.sampullara.mustache.Handlebar</mainClass>
    </manifest>
  </archive>
</configuration>"
%endif
%mvn_package com.github.spullara.mustache.java:mustache-maven-plugin maven-plugin
%mvn_package com.github.spullara.mustache.java:compiler::tests:

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files maven-plugin -f .mfiles-maven-plugin
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Jul 30 2020 maminjie <maminjie1@huawei.com> - 0.9.6-1
- package init
